@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

:root {
    --font-1: "Manrope";
    --font-2: "Open Sans";

    --color-1: #241E56;
    --color-2: #2D2673;
    --color-3: #C31218;
}

body {
    font-family: var(--font-2);
}

.button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    font-family: var(--font-1);
    font-size: 15px;
    font-weight: 700;
    border-width: 2px;
    border-style: solid;
    border-radius: 20px;
    padding: 15px 30px;
    transition: all 0.3s ease-in-out;
}

.button svg {
    width: 15px;
}

.button.button-1 {
    color: #fff;
    background-color: var(--color-1);
    border-color: var(--color-1);
}

.button.button-1 svg {
    fill: #fff;
}

.button.button-1:hover {
    color: var(--color-1);
    background-color: transparent;
}

.button.button-1:hover svg {
    fill: var(--color-1);
}

header {
    position: sticky;
    top: 0;
    margin: auto;
    padding: 0 50px;
    z-index: 10;
}

header .header-container {
    display: flex;
    max-width: 1600px;
    width: 100%;
    height: 150px;
    margin: auto;
    background-color: #fff;
    border: 1px solid #e6e6e6;
    border-top: none;
    border-radius: 0 0 20px 20px;
    overflow: hidden;
}

header .header-container .header-navigation {
    width: 85%;
}

header .header-container .header-navigation .header-top {
    display: flex;
    justify-content: space-between;
    width: 100%;
    height: 50px;
    background-color: var(--color-1);
}

header .header-container .header-navigation .header-top > div {
    display: flex;
}

header .header-container .header-navigation .header-top > div a {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 15px;
    color: #fff;
    padding: 12px 20px;
    transition: all 0.3s ease-in-out;
}

header .header-container .header-navigation .header-top > div a:hover {
    background-color: var(--color-2);
}

header .header-container .header-navigation .header-top > div a svg {
    width: 20px;
    fill: #fff;
}

header .header-container .header-navigation .header-top .header-social a {
    padding: 10px;
}

header .header-container .header-navigation .header-top .header-social a svg {
    width: auto;
    height: 25px;
}

header .header-container .header-navigation .header-main {
    display: flex;
    justify-content: space-between;
    height: 100px;
}

header .header-container .header-navigation .header-main .header-menu > div {
    height: 100%;
}

header .header-container .header-navigation .header-main .header-menu .menu {
    display: flex;
    list-style: none;
    height: 100%;
    padding: 0;
}

header .header-container .header-navigation .header-main .header-menu .menu li a {
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-1);
    font-size: 15px;
    font-weight: 700;
    text-align: center;
    height: 100%;
    padding: 12px 30px;
    transition: all 0.3s ease-in-out;
}

header .header-container .header-navigation .header-main .header-menu .menu li a svg {
    fill: var(--color-1);
    width: 20px;
}

header .header-container .header-navigation .header-main .header-menu .menu li:hover > a,
header .header-container .header-navigation .header-main .header-menu .menu li.current-menu-parent > a,
header .header-container .header-navigation .header-main .header-menu .menu li.current-menu-item > a {
    background-color: var(--color-2);
    color: #fff;
}

header .header-container .header-navigation .header-main .header-menu .menu li:hover > a svg,
header .header-container .header-navigation .header-main .header-menu .menu li.current-menu-parent > a svg,
header .header-container .header-navigation .header-main .header-menu .menu li.current-menu-item > a svg {
    fill: #fff;
}

header .header-container .header-navigation .header-main .header-menu .menu li .sub-menu {
    display: none;
    list-style: none;
    background-color: #fff;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.12);
    padding: 0;
}

header .header-container .header-navigation .header-main .header-menu .menu li:hover .sub-menu {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    position: absolute;
}

header .header-container .header-navigation .header-main .header-menu .menu li .sub-menu li {
    width: 100%;
}

header .header-container .header-navigation .header-main .header-menu .menu li .sub-menu a {
    display: flex;
    justify-content: flex-start;
    width: 100%;
    font-size: 14px;
}

header .header-container .header-navigation .header-main .header-menu .menu li .sub-menu li:hover a,
header .header-container .header-navigation .header-main .header-menu .menu li .sub-menu li.current-menu-item > a {
    background-color: var(--color-3);
}

header .header-container .header-navigation .header-main .header-actions {
    display: flex;
    align-items: center;
    gap: 20px;
    padding: 0 20px;
}

header .header-container .header-navigation .header-main .header-actions .btn-menu {
    display: none;
}

header .header-container .header-logo {
    display: flex;
    align-items: center;
    width: 15%;
    padding: 20px;
}

#mobile_menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    padding: 220px 30px 50px;
    visibility: hidden;
    opacity: 0;
    z-index: 9;
    overflow-y: auto;
}

#mobile_menu.active {
    visibility: visible;
    opacity: 1;
}

#mobile_menu .mobile-menu-container {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

#mobile_menu .mobile-menu-container .menu {
    display: flex;
    flex-direction: column;
    gap: 10px;
    list-style: none;
    text-align: center;
    padding: 0;
    margin: 0;
}

#mobile_menu .mobile-menu-container .menu li a {
    color: var(--color-1);
    font-size: 20px;
}

#mobile_menu .mobile-menu-container .services {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
}

#mobile_menu .mobile-menu-container .services .service-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 15px;
    background-color: var(--color-1);
    color: #fff;
    font-size: 14px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.12);
    padding: 20px;
}

#mobile_menu .mobile-menu-container .services .service-item svg {
    width: 20px;
    fill: #fff;
}


footer {
    padding: 0 50px;
}

footer .footer-container {
    display: flex;
    background-color: var(--color-1);
    max-width: 1600px;
    width: 100%;
    margin: auto;
    border-radius: 20px 20px 0 0;
    overflow: hidden;
}

footer .footer-container .footer-main {
    display: flex;
    flex-direction: column;
    gap: 70px;
    width: 75%;
    padding: 50px;
}

footer .footer-container .footer-main .footer-navigation {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 70px;
}

footer .footer-container .footer-main .footer-navigation .navigation-items {
    max-width: 320px;
}

footer .footer-container .footer-main .footer-navigation .navigation-items h5 {
    color: #fff;
    font-size: 25px;
    font-weight: 700;
}

footer .footer-container .footer-main .footer-navigation .navigation-items ul {
    display: flex;
    flex-direction: column;
    gap: 10px;
    list-style: none;
    padding: 0;
    margin: 0;
}

footer .footer-container .footer-main .footer-navigation .navigation-items ul li a {
    display: flex;
    align-items: center;
    gap: 10px;
    color: #fff;
    font-size: 16px;
    font-weight: 300;
}

footer .footer-container .footer-main .footer-navigation .navigation-items ul li a svg {
    width: 20px;
    fill: #fff;
}

footer .footer-container .footer-main .footer-navigation .navigation-items.items-social ul {
    flex-direction: row;
}

footer .footer-container .footer-main .footer-navigation .navigation-items.items-social ul li a svg {
    width: 40px;
}

footer .footer-container .footer-main .footer-copyright {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #fff;
    font-family: var(--font-1);
    font-size: 11px;
}

footer .footer-container .footer-about {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    background-color: var(--color-2);
    width: 25%;
    padding: 30px;
}

footer .footer-container .footer-about .footer-logo {
    background-color: #fff;
    border-radius: 10px;
    padding: 10px 20px;
}

footer .footer-container .footer-about .description {
    color: #fff;
    font-size: 15px;
    font-weight: 300;
}

@media (max-width: 1400px) {
    header .header-container .header-navigation .header-main .header-menu .menu li a {
        padding: 12px 20px;
    }

    .button {
        font-size: 15px;
        padding: 15px 20px;
    }
}

@media (max-width: 1300px) {
    footer .footer-container {
        flex-direction: column-reverse;
    }

    footer .footer-container .footer-main {
        width: 100%;
    }

    footer .footer-container .footer-about {
        width: 100%;
        flex-direction: row;
        align-items: center;
        gap: 50px;
    }
}

@media (max-width: 1100px) {
    header .header-container .header-navigation .header-main .header-menu {
        display: none;
    }

    header .header-container .header-navigation .header-main .header-actions .btn-menu {
        display: flex;
    }
}

@media (max-width: 991px) {
    header .header-container .header-navigation .header-top > div a {
        padding: 12px;
    }

    header .header-container .header-navigation .header-top > div a span {
        display: none;
    }

    header .header-container .header-navigation {
        width: 70%;
    }

    header .header-container .header-logo {
        width: 30%;
    }

    footer .footer-container .footer-main .footer-navigation .navigation-items {
        width: calc(50% - 50px);
        max-width: 100%;
    }
}

@media (max-width: 767px) {
    .button {
        font-size: 14px;
        padding: 12px 15px;
    }

    header {
        padding: 0 30px;
    }

    footer {
        padding: 0 30px;
    }

    footer .footer-container .footer-main {
        padding: 50px 30px;
    }

    footer .footer-container .footer-main .footer-navigation .navigation-items {
        width: 100%;
    }

    footer .footer-container .footer-about {
        flex-direction: column;
    }
}

@media (max-width: 500px) {
    #mobile_menu .mobile-menu-container .services {
        grid-template-columns: repeat(2, 1fr);
    }
}